mcwarp(1)

NAME
mcwarp - Multi-channel nonrigid registration

SYNOPSIS
mcwarp [options] mcaffineOutput

DESCRIPTION
Multi-channel nonrigid B-spline image registration using histogram-based or covariance-based joint entropy measures

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--out-archive <string>, -o <string>
    Output archive path. [Default: NONE]

--downsample-from <integer>, -d <integer>
    Initial downsampling factor [1]. [Default: 1]

--downsample-to <integer>, -D <integer>
    Final downsampling factor [1]. [Default: 1]

--downsample-average <boolean>
    Downsample using sliding-window averaging [default: off] ) [Default: 0]

--smooth <float>
    Sigma of Gaussian smoothing kernel in multiples of template image pixel size [default: off] ) [Default: 0]

--grid-spacing <double>
    Initial control point grid spacing in mm. [Default: 40]

--grid-spacing-exact <double>
    Exact initial grid spacing, even if it doesn't match image FOV. [Default: disabled]

--refine-grid <integer>
    Number of control point grid refinements. [Default: 0]

--delay-refine-grid
    Delay control point grid refinement until after pixel refinement.

--adaptive-fix-thresh-factor <float>
    Intensity threshold factor [0..1] for adaptive parameter fixing. [default: 0 -- no fixing] [Default: 0]

--adaptive-fix-thresh-factor-entropy <float>
    Entropy threshold factor [0..1] for adaptive parameter fixing. [default: 0 -- no fixing] [Default: disabled]

--fix-warp-x
    Fix transformation (do not warp) in x-direction.

--fix-warp-y
    Fix transformation (do not warp) in y-direction.

--fix-warp-z
    Fix transformation (do not warp) in z-direction.

--jacobian-constraint-weight <float>
    Weight for Jacobian volume preservation constraint [Default: 0]

--histograms, -H
    Use multi-dimensional histograms to compute entropies [default. [This is the default]

--covariance, -C
    Use covariance matrix determinants to compute entropies.

--cubic, -c
    Use cubic interpolation [default: linear]

--mi
    Use standard mutual information metric [default] [This is the default]

--nmi
    Use normalized mutual information metric

--intensity-correction, -I
    Correct image intensities using local transformation Jacobian to preserve total signal

--initial-step-size <double>
    Initial optimizer step size in pixels. [Default: 1]

--final-step-size <double>
    Initial optimizer step size in pixels. [Default: 0.125]

--delta-f-threshold <double>
    Optional threshold to terminate optimization (level) if relative change of target function drops below this value. [Default: 0]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.